HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostCharges

Contains the different functions to run the operation postCharges

  • 12 types
  • 8 values
valuepostCharges
  1. :: MonadHTTP m
  2. => Maybe PostChargesRequestBody

    The request body to send

  3. -> ClientT m (Response PostChargesResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/charges

<p>To charge a credit card or other payment source, you create a <code>Charge</code> object. If your API key is in test mode, the supplied payment source (e.g., card) won’t actually be charged, although everything else will occur as if in live mode. (Stripe assumes that the charge would have completed successfully).</p>

Defines the object schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card.anyOf in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card.anyOf.properties.object in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card.anyOf in the specification.

A token, like the ones returned by Stripe.js.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.destination.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.destination.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.radar_options in the specification.

Options to configure Radar. See Radar Session for more information.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.shipping in the specification.

Shipping information for the charge. Helps prevent fraud on charges for physical goods.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.shipping.properties.address in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/charges.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.transfer_data in the specification.

An optional dictionary including the account to automatically transfer to as part of a destination charge. See the Connect documentation for details.

Instances4Eq, Show, FromJSON, ToJSON
datadata PostChargesResponse
#

Represents a response of the operation postCharges.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostChargesResponseError is used.

Constructors

Instances2Eq, Show